Subject: bug#11940: 24.1; not seeing bindings in `minibuffer-local-filename-completion-map' that are there and work

From: "Drew Adams" <[email-masked]>
Date: Fri, 13 Jul 2012 14:02:41 -0700

Perhaps this has something to do with the fact that in Emacs 24 there is
no longer a `minibuffer-local-filename-must-match-map' and that keymaps
are composed.  Dunno.
 
I do this:
 
(define-key minibuffer-local-filename-completion-map (kbd "C-c +")
           'icicle-make-directory)
 
I use a help command that essentially puts the output from this for a
given keymap NAME in *Help*:
 
 (substitute-command-keys (concat "\\{" name "}"))
 
For `minibuffer-local-filename-completion-map' (which is still defined
for Emacs 24), I see this:
 
 key             binding
 ---             -------
 
 C-c             Prefix Command
 C-o             1on1-fit-minibuffer-frame
 C-x             Prefix Command
 
Which makes little sense to me.  The keys on prefix keys C-c and C-x are
not listed.  Seems like they should be.
 
But those keys are in fact on the keymap.  This is the value of
`minibuffer-local-filename-completion-map':
 
(keymap
 (24 keymap (97) (109)) ; C-x a, C-x m
 (3 keymap (43))        ; C-+
 (C-backspace)          ; C-backspace
 (15 . 1on1-fit-minibuffer-frame) ; C-o
 (32))
 
What gives?  Is this an Emacs bug in `substitute-command-keys'?

In GNU Emacs 24.1.1 (i386-mingw-nt5.1.2600)
 of 2012-06-10 on MARVIN
Windowing system distributor `Microsoft Corp.', version 5.1.2600
Configured using:
 `configure --with-gcc (4.6) --cflags
 -ID:/devel/emacs/libs/libXpm-3.5.8/include
 -ID:/devel/emacs/libs/libXpm-3.5.8/src
 -ID:/devel/emacs/libs/libpng-dev_1.4.3-1/include
 -ID:/devel/emacs/libs/zlib-dev_1.2.5-2/include
 -ID:/devel/emacs/libs/giflib-4.1.4-1/include
 -ID:/devel/emacs/libs/jpeg-6b-4/include
 -ID:/devel/emacs/libs/tiff-3.8.2-1/include
 -ID:/devel/emacs/libs/gnutls-3.0.9/include'